import type { _NSSymbolEffect } from "./NSSymbolEffect.js";
export declare class _NSSymbolPulseEffect extends _NSSymbolEffect {
    static alloc(): _NSSymbolPulseEffect;
    static new(): _NSSymbolPulseEffect;
    init(): _NSSymbolPulseEffect;
    /** The default pulse effect, determined by the system. */
    static effect(): _NSSymbolPulseEffect;
    /** Returns a copy of the effect that only animates annotated pulse layers. */
    effectWithByLayer(): _NSSymbolPulseEffect;
    /**
     * Returns a copy of the effect that animates all layers of the symbol simultaneously.
     */
    effectWithWholeSymbol(): _NSSymbolPulseEffect;
}
